diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/templates/catalog_object_column/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/templates/catalog_object_column/sql/9.1_plus/properties.sql
index b2ca255..1bb7146 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/templates/catalog_object_column/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/templates/catalog_object_column/sql/9.1_plus/properties.sql
@@ -11,7 +11,7 @@ SELECT
 	indkey, coll.collname, nspc.nspname as collnspname , attoptions,
 	-- Start pgAdmin4, added to save time on client side parsing
 	CASE WHEN length(coll.collname) > 0 AND length(nspc.nspname) > 0  THEN
-	  concat(coll.collname,'."',nspc.nspname,'"')
+	  concat(quote_ident(nspc.nspname),'.',quote_ident(coll.collname))
 	ELSE '' END AS collspcname,
 	CASE WHEN strpos(format_type(ty.oid,att.atttypmod), '.') > 0 THEN
 	  split_part(format_type(ty.oid,att.atttypmod), '.', 2)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/properties.sql
index bb96cff..fa5c3f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/properties.sql
@@ -11,7 +11,7 @@ SELECT att.attname as name, att.*, def.*, pg_catalog.pg_get_expr(def.adbin, def.
 	indkey, coll.collname, nspc.nspname as collnspname , attoptions,
 	-- Start pgAdmin4, added to save time on client side parsing
 	CASE WHEN length(coll.collname) > 0 AND length(nspc.nspname) > 0  THEN
-	  concat(quote_ident(coll.collname),'.',quote_ident(nspc.nspname))
+	  concat(quote_ident(nspc.nspname),'.',quote_ident(coll.collname))
 	ELSE '' END AS collspcname,
 	CASE WHEN strpos(format_type(ty.oid,att.atttypmod), '.') > 0 THEN
 	  split_part(format_type(ty.oid,att.atttypmod), '.', 2)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql
index b383496..22cef71 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql
@@ -11,7 +11,7 @@ SELECT att.attname as name, att.*, def.*, pg_catalog.pg_get_expr(def.adbin, def.
 	indkey, coll.collname, nspc.nspname as collnspname , attoptions,
 	-- Start pgAdmin4, added to save time on client side parsing
 	CASE WHEN length(coll.collname) > 0 AND length(nspc.nspname) > 0  THEN
-	  concat(quote_ident(coll.collname),'.',quote_ident(nspc.nspname))
+	  concat(quote_ident(nspc.nspname),'.',quote_ident(coll.collname))
 	ELSE '' END AS collspcname,
 	CASE WHEN strpos(format_type(ty.oid,att.atttypmod), '.') > 0 THEN
 	  split_part(format_type(ty.oid,att.atttypmod), '.', 2)
